com.io7m.jtensors.generators

## Class PVector4LGenerator<T>

- java.lang.Object
- - com.io7m.jtensors.generators.PVector4LGenerator<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    net.java.quickcheck.Generator<PVector4L<T>>

      public final class PVector4LGenerator<T>
      extends Object
      implements net.java.quickcheck.Generator<PVector4L<T>>

  A vector generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PVector4LGenerator(net.java.quickcheck.Generator<Long> in_gen)` Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `create()` Create a generator initialized with a default component generator.
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `create16()` Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `create32()` Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `create64()` Create a generator initialized with a default component generator that produces values in the range `[-9223372036854775808, 9223372036854775807]`.
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `create8()` Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
    `static <T> net.java.quickcheck.Generator<PVector4L<T>>` | `createSmall()` Create a generator initialized with a default component generator that produces values in the range `[-65536, 65536]`.
    `PVector4L<T>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PVector4LGenerator

          public PVector4LGenerator(net.java.quickcheck.Generator<Long> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> create()

      Create a generator initialized with a default component generator.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### createSmall

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> createSmall()

      Create a generator initialized with a default component generator that produces values in the range `[-65536, 65536]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create64

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> create64()

      Create a generator initialized with a default component generator that produces values in the range `[-9223372036854775808, 9223372036854775807]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create32

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> create32()

      Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create16

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> create16()

      Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create8

          public static <T> net.java.quickcheck.Generator<PVector4L<T>> create8()

      Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### next

          public PVector4L<T> next()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<PVector4L<T>>`

Copyright © 2017 <code@io7m.com> http://io7m.com